<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>tests/test.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/tests/test.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/test.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>// Run forever if we need to
<a name="line4"></a>ini_set('max_execution_time', 0);
<a name="line5"></a>
<a name="line6"></a>require_once 'simpletest'.DIRECTORY_SEPARATOR.'unit_tester.php';
<a name="line7"></a>require_once 'simpletest'.DIRECTORY_SEPARATOR.'mock_objects.php';
<a name="line8"></a>require_once 'simpletest'.DIRECTORY_SEPARATOR.'reporter.php';
<a name="line9"></a>
<a name="line10"></a>require_once 'doctorTestCase.php';
<a name="line11"></a>
<a name="line12"></a>if (!defined('PHP')) define('PHP', 'php');
<a name="line13"></a>#if (!defined('PHP')) define('PHP', '~/php-5.3.2/sapi/cli/php');
<a name="line14"></a>
<a name="line15"></a>exec(PHP.' -v', $versionInfo);
<a name="line16"></a>preg_match('/PHP ([0-9]+\.[0-9]+\.[0-9]+)/', $versionInfo[0], $versionInfo);
<a name="line17"></a>define('EXEC_VERSION', $versionInfo[1]);
<a name="line18"></a>
<a name="line19"></a>if (TextReporter::inCli()) {
<a name="line20"></a>	$reporter = new TextReporter();
<a name="line21"></a>} else {
<a name="line22"></a>    $reporter = new HtmlReporter();
<a name="line23"></a>}
<a name="line24"></a>
<a name="line25"></a>
<a name="line26"></a>$parser = new GroupTest('Parser');
<a name="line27"></a>$parser->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'parser.php');
<a name="line28"></a>$parser->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'config.php');
<a name="line29"></a>$parser->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'ignore-package-tags.php');
<a name="line30"></a>$parser->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'use-class-path-as-package.php');
<a name="line31"></a>$parser->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'namespace-syntax.php');
<a name="line32"></a>
<a name="line33"></a>$standardDoclet = new GroupTest('Standard Doclet');
<a name="line34"></a>$standardDoclet->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'standard-doclet.php');
<a name="line35"></a>$standardDoclet->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'access.php');
<a name="line36"></a>$standardDoclet->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'access-php5.php');
<a name="line37"></a>$standardDoclet->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'throws-tag.php');
<a name="line38"></a>
<a name="line39"></a>$fixes = new GroupTest('Bugfixes'); // these tests will work with PHP5 < 5.3
<a name="line40"></a>$fixes->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'linefeed.php');
<a name="line41"></a>$fixes->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'lastline.php');
<a name="line42"></a>$fixes->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'zerovalue.php');
<a name="line43"></a>$fixes->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'todo.php');
<a name="line44"></a>
<a name="line45"></a>$formatters = new GroupTest('Formatters'); // these tests will work with PHP5 < 5.3
<a name="line46"></a>$formatters->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'lists-ul.php');
<a name="line47"></a>include_once "markdown.php";
<a name="line48"></a>if (function_exists('Markdown')) {
<a name="line49"></a>    $formatters->addTestFile('tests'.DIRECTORY_SEPARATOR.'cases'.DIRECTORY_SEPARATOR.'markdown.php');
<a name="line50"></a>} else {
<a name="line51"></a>    $reporter->paintMessage("Not running Markdown test, Markdown not available on system");
<a name="line52"></a>}
<a name="line53"></a>
<a name="line54"></a>$test = new GroupTest('PHPDoctor');
<a name="line55"></a>$test->addTestCase($parser);
<a name="line56"></a>$test->addTestCase($standardDoclet);
<a name="line57"></a>$test->addTestCase($fixes);
<a name="line58"></a>$test->addTestCase($formatters);
<a name="line59"></a>
<a name="line60"></a>if (TextReporter::inCli()) {
<a name="line61"></a>	exit ($test->run($reporter) ? 0 : 1);
<a name="line62"></a>}
<a name="line63"></a>$test->run($reporter);
<a name="line64"></a>
<a name="line65"></a>?></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../source/tests/test.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>